[SciPy-user] scipy.test() Need nose >= 0.10

Sebastian Haase haase@msg.ucsf....
Thu May 22 02:42:51 CDT 2008


On Thu, May 22, 2008 at 4:01 AM, Robert Kern <robert.kern@gmail.com> wrote:
> On Wed, May 21, 2008 at 8:58 PM, Lin Shao <shao@msg.ucsf.edu> wrote:
>> With scipy version 0.7.0.dev4377, I got this ImportError when trying
>> to run scipy.test():
>>
>> Traceback (most recent call last):
>>  File "<input>", line 1, in <module>
>>  File "/jws30/haase/Priithon_25_lin/scipy/testing/nulltester.py",
>> line 14, in test
>>    'http://somethingaboutorange.com/mrl/projects/nose'
>> ImportError: Need nose >=0.10 for tests - see
>> http://somethingaboutorange.com/mrl/projects/nose
>>
>> Any suggestions?
>
> Install nose.
>
> http://www.somethingaboutorange.com/mrl/projects/nose/
>
Is this now a (hard) dependency of SciPy !?
My understanding that SciPy would not have any dependencies (besides
numpy of course) .... not even BLAS ...

-Sebastian


More information about the SciPy-user mailing list